summaryrefslogtreecommitdiff
Commit message (Collapse)AuthorAge
* corrent docs; rules.d file is not a symlinkJoey Hess2013-12-15
|
* releasing package debhelper version 9.20131213debian/9.20131213Joey Hess2013-12-13
|
* dh_installdeb: add support for d-m-h commands symlink_to_dir, dir_to_symlinkAndreas Beckmann2013-12-13
| | | | | these two new dpkg-maintscript-helper commands were added in dpkg 1.17.2 (and fixed in 1.17.5, therefore using this version for Pre-Depends)
* Revert "dh_installdeb: add support for d-m-h commands symlink_to_dir, ↵Joey Hess2013-12-13
| | | | | | dir_to_symlink" This reverts commit 1e42d7e017cc36ec10e029abac78a1ffceea72f9.
* dh_installdeb: add support for d-m-h commands symlink_to_dir, dir_to_symlinkAndreas Beckmann2013-12-09
| | | | these two new dpkg-maintscript-helper commands were added in dpkg 1.17.2
* cmake: Configure with -DCMAKE_BUILD_TYPE=None Closes: #701233Joey Hess2013-12-05
|
* Merge remote-tracking branch 'refs/remotes/dgit/dgit/sid'debian/9.20131127Joey Hess2013-11-27
|\
| * Record debhelper (9.20131110) in archive suite sidJoey Hess2013-11-10
| |\
| | * debhelper (9.20131110) unstable; urgency=lowJoey Hess2013-11-10
| | | | | | | | | | | | | | | | | | | | | | | | | | | | * dh_installinit: Revert changes that added versioned dependency on sysv-rc to support upstart, which later grew to a versioned dependency on sysv-rc | file-rc, and which seems to want to continue growing to list other init systems, which there currently seem to be far too many of, for far too little benefit. The sysv-rc dependency is already met in stable. The file-rc dependency is not, so if someone cares about that, they need to find a properly designed solution, which this was not. Closes: #729248 # imported from the archive
* | prepJoey Hess2013-11-27
| |
* | dh_compress: Exclude several more compressed file formats. Closes: #730483Joey Hess2013-11-25
| |
* | releasing package debhelper version 9.20131110Joey Hess2013-11-10
| |
* | dh_installinit: Revert changes that added versioned dependency on sysv-rc to ↵Joey Hess2013-11-10
|/ | | | support upstart, which later grew to a versioned dependency on sysv-rc | file-rc, and which seems to want to continue growing to list other init systems, which there currently seem to be far too many of, for far too little benefit. The sysv-rc dependency is already met in stable. The file-rc dependency is not, so if someone cares about that, they need to find a properly designed solution, which this was not. Closes: #729248
* releasing package debhelper version 9.20131105debian/9.20131105Joey Hess2013-11-05
|
* Fix (horrible) make output parsing code to work with make 4.0. Closes: ↵Joey Hess2013-11-05
| | | | #728800 Thanks, Julien Pinon
* po changes caused by builddebian/9.20131104Joey Hess2013-11-04
|
* prep releaseJoey Hess2013-11-04
|
* Merge remote-tracking branch 'dgit/dgit/sid'Joey Hess2013-11-04
|\
| * debhelper (9.20130921) unstable; urgency=lowJoey Hess2013-09-21
| | | | | | | | | | * dh: Call dh_installxfonts after dh_link, so that it will notice fonts installed via symlinks. Closes: #721264 * Fix FTBFS with perl 5.18. Closes: #722501 * dh_installchangelogs: Add changelog.md to the list of common changelog filenames. # imported from the archive
* Close the bug (#728620) fixed by previous commit.Modestas Vainius2013-11-03
|
* Update dh_installemacsen for emacsen-common 2.0.Modestas Vainius2013-11-03
| | | | | | | | | | | | | Update dh_installemacsen and related scripts to follow /usr/share/doc/emacsen-common/debian-emacs-policy.gz as of emacsen-common package version 2.0.5. The changes include: * Install debian/package.emacsen-compat into usr/lib/emacsen-common/packages/compat/package if present * All maintainer scripts test for existance of /var/lib/emacsen-common/state/package/installed/emacsen-common as mandated by policy. * Generate and install preinst maintainer script if needed.
* team list being createdJoey Hess2013-11-03
|
* dh_installchangelogs: Avoid installing binNMU changelog file in --no-act ↵Joey Hess2013-10-20
| | | | mode. Closes: #726930
* changelogJoey Hess2013-09-21
|
* dh_installchangelogs: Add changelog.md to the list of common changelog ↵Joey Hess2013-09-21
| | | | filenames.
* Fix FTBFS with perl 5.18. Closes: #722501Joey Hess2013-09-11
|
* remove trailing space in L<..> in french translationDamyan Ivanov2013-09-11
| | | | this breaks the build with new perls
* dh: Call dh_installxfonts after dh_link, so that it will notice fonts ↵Joey Hess2013-08-29
| | | | installed via symlinks. Closes: #721264
* releasing version 9.20130720Joey Hess2013-08-20
|
* make line less longJoey Hess2013-08-20
|
* makefile buildsystem: Tighten heuristic to detect if makefile target exists. ↵Joey Hess2013-08-20
| | | | An error message that some other target does not exist just means the makefile spaghetti has problems later on when run with -n, but not that the called target didn't exist. Closes: #718121
* dh_install, dh_installdocs, dh_clean: Fix uses of find -exec which cause it ↵Joey Hess2013-08-15
| | | | to ignore exit status of the commands run.
* dh_installinit: Fix a longstanding accidental behavior that caused a file ↵Joey Hess2013-08-11
| | | | named debian/package to be installed as the init script. Only fixed in v10 since packages might depend on this behavior. Closes: #719359
* Type fixes. Closes: #719216Joey Hess2013-08-09
|
* Fix typo for propagateGuillem Jover2013-08-09
|
* dh_python: Removed this deprecated and unused command. Closes: #717374 ↵Joey Hess2013-07-19
| | | | (Thanks, Luca Falavigna)
* releasing version 9.20130630Joey Hess2013-06-30
|
* use LC_ALL not LANG to reset to CJoey Hess2013-06-30
|
* perl_build: Use -- long option names, for compatability with ↵Joey Hess2013-06-30
| | | | Module::Build::Tiny. Closes: #714544 (Thanks, gregor herrmann)
* releasing version 9.20130626Joey Hess2013-06-26
|
* releasing version 9.20130624Joey Hess2013-06-24
|
* makefile buildsystem: Added heuristic to catch false positive in makefile ↵Joey Hess2013-06-24
| | | | target detection code. Closes: #713257 Nasty make ... why won't it tell us what's in its pocketses?
* dh_installinit: Use absolute path for systemd tempfiles, for compatability ↵Joey Hess2013-06-18
| | | | with wheezy's systemd. Closes: #712727
* dh_installinit: use absolute path to tmpfilesMichael Stapelberg2013-06-18
| | | | | | | | While newer systemd versions don’t need the absolute path, this breaks with older systemd versions, notably v44, which we currently have in wheezy. Using the absolute paths has no drawbacks and works with both versions.
* missing bracketJoey Hess2013-06-18
|
* don't mention dhJoey Hess2013-06-10
|
* releasing version 9.20130605Joey Hess2013-06-05
|
* dh_installchangelogs: Fix bug preventing automatic installation of upstream ↵Joey Hess2013-06-05
| | | | changelog. Closes: #711131
* releasing version 9.20130604Joey Hess2013-06-04
|
* updateJoey Hess2013-06-04
|